-- Unique Faction ID
local factionid = "Wehrmacht";
print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid

-- Faction name	
CF_FactionNames[factionid] = "Wehrmacht";
-- Set true if faction is selectable by player or AI	
CF_FactionPlayable[factionid] = true;
-- Faction icon preset. Set to nil if you don't have one. Faction will get random default icon.
CF_FactionIcon[factionid] = "FactionIconWehrmacht";
-- Facion icon preset module
CF_FactionIconModules[factionid] = "UnmappedLands.rte";

-- Define weapon sets
-- Different probabilities.
-- 1 - Probability to get a heavy weapon
-- 2 - Probability to get a secondary weapon
-- 3 - Probability to get an explosive
-- 4 - Probability to a second explosive
-- Example:
-- CF_Probabilities[factionid] = {0.35 , 0.30 , 0.60 , 0.30};
CF_LightWeaponSets[factionid] = {"Flare Gun", "PPK", "Luger", "Mauser", "M1912", "Pistole 35(p)", "P-24 Revolver"}
CF_LightWeaponSetModules[factionid] = {"Wehrmacht.rte", "Wehrmacht.rte", "Wehrmacht.rte", "Wehrmacht.rte", "Wehrmacht.rte", "Wehrmacht.rte", "Wehrmacht.rte"};

CF_HeavyWeaponSets[factionid] = {"MP-40", "MP-35(p)", "ZK-383", "StG44", "FG42", "MG-42", "MG-08", "Panzerschreck"}
CF_HeavyWeaponSetModules[factionid] = {"Wehrmacht.rte", "Wehrmacht.rte", "Wehrmacht.rte", "Wehrmacht.rte", "Wehrmacht.rte", "Wehrmacht.rte", "Wehrmacht.rte", "Wehrmacht.rte"};

CF_Probabilities[factionid] = {0 , 0 , 0.70 , 0.50};

-- Define explosives
CF_ExplosiveSets[factionid] = {"Model 24", "FHG-43"};
CF_ExplosiveSetModules[factionid] = {"Wehrmacht.rte", "Wehrmacht.rte"};

-- Define troops
CF_ActorSets[factionid] = {"Volks Grenadier"};
CF_ActorSetModules[factionid] = {"Wehrmacht.rte"};

--Define brains
CF_BrainPresets[factionid] = "Assault Kommandant";
CF_BrainPresetModules[factionid] = "Wehrmacht.rte";

-- Define actors allowed for purchase. All other actors will be gibbed if gibbing option is enabled
CF_AllowedActors[factionid] = {"Volks Grenadier" , "Schwer Angriff Soldaten" , "Sturm Infanterie" , "Volks Officer" , "Lwf.gPz Saucer D3" , "Drop Ship MK1" , "Drop Crate", "Small MG Turret", "SAM Site"};

-- Define specific weapons
CF_RocketLaunchers[factionid] = {"Panzerschreck", "22mm Luftfaust"};
CF_RocketLauncherModules[factionid] = {"Wehrmacht.rte", "Wehrmacht.rte"};

CF_SniperRifles[factionid] = {"Gewehr 43", "Pz.Kar 43", "M-1908", "Kar-98 Sharpshooter", "G-36(p)"};
CF_SniperRifleModules[factionid] = {"Wehrmacht.rte", "Wehrmacht.rte", "Wehrmacht.rte", "Wehrmacht.rte", "Wehrmacht.rte"};

-- Define dropships
CF_Dropships[factionid] = {"Drop Ship MK1"};
CF_DropshipModules[factionid] = {"Base.rte"};

-- Define armored troops. If not defined actor with shield and one handed weapon spawned
CF_ArmorCrabs[factionid] = nil
CF_ArmorCrabModules[factionid] = nil

CF_ArmorHumans[factionid] = {"Schwer Angriff Soldaten", "Sturm Infanterie", "Volks Officer"}
CF_ArmorHumanModules[factionid] = {"Wehrmacht.rte", "Wehrmacht.rte", "Wehrmacht.rte"}

-- Define armor substitutions
CF_ArmorPistols[factionid] = nil
CF_ArmorPistolModules[factionid] = nil

CF_ArmorShields[factionid] = nil
CF_ArmorShieldModules[factionid] = nil

-- Define elite weapon sets. All weapons from this set are given to elite soldier.
CF_EliteWeaponSets[factionid] = {"FG42", "Uber Laser MKIV", "Fletchet Gun"}
CF_EliteWeaponSetModules[factionid] = {"Wehrmacht.rte", "Wehrmacht.rte", "Wehrmacht.rte"}

--Define turrets
CF_Turrets[factionid] = {"Gatling Turret"}
CF_TurretModules[factionid] = {"Coalition.rte"}

-- Define last stand mission. Must be null if not present in Unmapped lands to switch to default
CF_LastStandMission[factionid] = nil;
CF_LastStandMissionScene[factionid] = nil;
